io.vertx.db2client

## Interface DB2Pool

- All Superinterfaces:
    Pool, SqlClient

      public interface DB2Pool
      extends Pool

  A pool of DB2 connections.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SqlClient` | `client(DB2ConnectOptions database, PoolOptions options)` Create a pooled client to the DB2 `database` configured with the given `options`.
    `static SqlClient` | `client(List<DB2ConnectOptions> databases, PoolOptions options)` Create a client backed by a connection pool to the DB2 `databases` with round-robin selection.
    `static SqlClient` | `client(String connectionUri)` Like `client(String, PoolOptions)` with default options.
    `static SqlClient` | `client(String connectionUri, PoolOptions options)` Like `client(DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.
    `static SqlClient` | `client(Vertx vertx, DB2ConnectOptions database, PoolOptions options)` Like `client(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static SqlClient` | `client(Vertx vertx, List<DB2ConnectOptions> databases, PoolOptions options)` Like `client(List, PoolOptions)` with a specific `Vertx` instance.
    `static SqlClient` | `client(Vertx vertx, String connectionUri)` Like `client(Vertx, String, PoolOptions)` with default options.
    `static SqlClient` | `client(Vertx vertx, String connectionUri, PoolOptions options)` Like `client(Vertx, DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.
    `DB2Pool` | `connectHandler(Handler<SqlConnection> handler)` Set an handler called when the pool has established a connection to the database.
    `DB2Pool` | `connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)` Replace the default pool connection provider, the new `provider` returns a future connection for a given `Context`.
    `static DB2Pool` | `pool(DB2ConnectOptions database, PoolOptions options)` Create a connection pool to the DB2 `database` configured with the given `options`.
    `static DB2Pool` | `pool(List<DB2ConnectOptions> databases, PoolOptions options)` Create a connection pool to the DB2 `databases` with round-robin selection.
    `static DB2Pool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with default options.
    `static DB2Pool` | `pool(String connectionUri, PoolOptions options)` Like `pool(DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.
    `static DB2Pool` | `pool(java.util.function.Supplier<Future<DB2ConnectOptions>> databases, PoolOptions poolOptions)` Create a connection pool to the DB2 `databases`.
    `static DB2Pool` | `pool(Vertx vertx, DB2ConnectOptions database, PoolOptions options)` Like `pool(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static DB2Pool` | `pool(Vertx vertx, List<DB2ConnectOptions> databases, PoolOptions options)` Like `pool(List, PoolOptions)` with a specific `Vertx` instance.
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String,PoolOptions)` with default options.
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri, PoolOptions options)` Like `pool(Vertx, DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.
    `static DB2Pool` | `pool(Vertx vertx, java.util.function.Supplier<Future<DB2ConnectOptions>> databases, PoolOptions poolOptions)` Like `pool(Supplier, PoolOptions)` with a specific `Vertx` instance.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `close, getConnection, getConnection, pool, pool, pool, preparedQuery, query, size, withConnection, withConnection, withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from interface io.vertx.sqlclient.SqlClient

      `close, preparedQuery`

- - ### Method Detail

    - #### pool

          static DB2Pool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with default options.

    - #### pool

          static DB2Pool pool(String connectionUri,
                              PoolOptions options)

      Like `pool(DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              String connectionUri)

      Like `pool(Vertx, String,PoolOptions)` with default options.

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              String connectionUri,
                              PoolOptions options)

      Like `pool(Vertx, DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.

    - #### pool

          static DB2Pool pool(DB2ConnectOptions database,
                              PoolOptions options)

      Create a connection pool to the DB2 `database` configured with the given `options`.
      Parameters:
        `database` - the options for the connection
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              DB2ConnectOptions database,
                              PoolOptions options)

      Like `pool(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### pool

          static DB2Pool pool(List<DB2ConnectOptions> databases,
                              PoolOptions options)

      Create a connection pool to the DB2 `databases` with round-robin selection. Round-robin is applied when a new connection is created by the pool.
      Parameters:
        `databases` - the list of servers
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              List<DB2ConnectOptions> databases,
                              PoolOptions options)

      Like `pool(List, PoolOptions)` with a specific `Vertx` instance.

    - #### pool

          static DB2Pool pool(java.util.function.Supplier<Future<DB2ConnectOptions>> databases,
                              PoolOptions poolOptions)

      Create a connection pool to the DB2 `databases`. The supplier is called to provide the options when a new connection is created by the pool.
      Parameters:
        `databases` - the databases supplier
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              java.util.function.Supplier<Future<DB2ConnectOptions>> databases,
                              PoolOptions poolOptions)

      Like `pool(Supplier, PoolOptions)` with a specific `Vertx` instance.

    - #### client

          static SqlClient client(String connectionUri)

      Like `client(String, PoolOptions)` with default options.

    - #### client

          static SqlClient client(String connectionUri,
                                  PoolOptions options)

      Like `client(DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.

    - #### client

          static SqlClient client(Vertx vertx,
                                  String connectionUri)

      Like `client(Vertx, String, PoolOptions)` with default options.

    - #### client

          static SqlClient client(Vertx vertx,
                                  String connectionUri,
                                  PoolOptions options)

      Like `client(Vertx, DB2ConnectOptions, PoolOptions)` with `database` build from `connectionUri`.

    - #### client

          static SqlClient client(DB2ConnectOptions database,
                                  PoolOptions options)

      Create a pooled client to the DB2 `database` configured with the given `options`.
      Parameters:
        `database` - the options for the connection
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### client

          static SqlClient client(Vertx vertx,
                                  DB2ConnectOptions database,
                                  PoolOptions options)

      Like `client(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### client

          static SqlClient client(List<DB2ConnectOptions> databases,
                                  PoolOptions options)

      Create a client backed by a connection pool to the DB2 `databases` with round-robin selection. Round-robin is applied when a new connection is created by the pool.
      Parameters:
        `databases` - the list of servers
        `options` - the options for creating the pool
      Returns:
        the pooled client

    - #### client

          static SqlClient client(Vertx vertx,
                                  List<DB2ConnectOptions> databases,
                                  PoolOptions options)

      Like `client(List, PoolOptions)` with a specific `Vertx` instance.

    - #### connectHandler

          DB2Pool connectHandler(Handler<SqlConnection> handler)

      Description copied from interface: `Pool`
      Set an handler called when the pool has established a connection to the database.

      This handler allows interactions with the database before the connection is added to the pool.

      When the handler has finished, it must call `SqlClient.close()` to release the connection to the pool.

      Specified by:
        `connectHandler` in interface `Pool`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionProvider

          DB2Pool connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)

      Description copied from interface: `Pool`
      Replace the default pool connection provider, the new `provider` returns a future connection for a given `Context`.

      A `ConnectionFactory` can be used as connection provider.

      Specified by:
        `connectionProvider` in interface `Pool`
      Parameters:
        `provider` - the new connection provider
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2023 Eclipse. All rights reserved.